prj_project open SCS.ldf
# ------------------------------------------------------------------------------------------------------------------------------------------------------
 # run 1
# --------------------------------------------------------
 # use only on char for VAR!
 set VAR "A"
 set CPLD_REV   "TEBF0808-x_CPLD-REV${C_REV}${VAR}"
 set FILE_DEST  "${OUTPUTPATH}SCS_${C_REV}${VAR}_default.jed"
 set  MICOSD_QSPIMODE   "0"
 set  DISABLE_POWERDOWN "0"
 # ------
 puts "Start $MICOSD_QSPIMODE  $DISABLE_POWERDOWN $FILE_DEST"
  # device setting:
  # get device infos:
  #prj_dev 
  # family,-device,-package,-performance,-operation,-part,
  # MachXO2 LCMXO2-1200HC CSBGA132 4 COM LCMXO2-1200HC-4MG132C
  #asc_num 0 is not displayed on tcl console
  # set device settings
  # prj_dev set -family MachXO2 -device LCMXO2-1200HC -package CSBGA132 -performance 4 -operation COM -part LCMXO2-1200HC-4MG132C -asc_num 0
  # ------------------------------
  #get HDL Parameter
  prj_impl option -impl impl1 HDL_PARAM
  #set HDL Parameter (clear old)
  prj_impl option -impl impl1 HDL_PARAM MICOSD_QSPIMODE=$MICOSD_QSPIMODE  
  # append HDL Parameter 
  prj_impl option -impl impl1 -append HDL_PARAM DISABLE_POWERDOWN=$DISABLE_POWERDOWN

  # ---------------------------------
  #disable project file
  #prj_src exclude -impl impl1 src/vhdl/deglitch.vhd 
  #enable project file
  #prj_src enable -impl impl1 src/vhdl/deglitch.vhd 
  # ---------------------------------
  #run 
  prj_run Export -impl impl1 -forceAll

  prj_run Export -impl impl1 -task Bitgen

  prj_run Export -impl impl1 -task Jedecgen
  #---------------
 
  if {[file exists ./impl1/SCS_impl1.jed]} {
    set basename [file dirname $FILE_DEST]
    if { ![file exists ${basename}]} {
      file mkdir $basename
    }
    file copy -force ./impl1/SCS_impl1.jed $FILE_DEST
  }
  #---------------
  puts "Finished $MICOSD_QSPIMODE  $DISABLE_POWERDOWN $FILE_DEST"
# --------------------------------------------------------

# ---------------------------------
prj_project close
# ---------------------------------

